Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698588 - www-client/netsurf-3.8 - netsurf-fb: Unable to initialise framebuffer
Summary: www-client/netsurf-3.8 - netsurf-fb: Unable to initialise framebuffer
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Philipp Ammann
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-26 10:47 UTC by CaptainBlood
Modified: 2020-06-10 21:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description CaptainBlood 2019-10-26 10:47:15 UTC
netsurf-fb command returns: "Unable to initialise framebuffer" error message.

Reproducible: Always

Steps to Reproduce:
Installed versions:  3.8-r2(12:15:37 26/10/2019)(bmp duktape fbcon gif gtk javascript jpeg mng png psl rosprite svg svgtiny webp -gtk2 -pdf-writer -truetype)
Comment 1 CaptainBlood 2019-10-27 08:22:51 UTC
solved once netsurf & libnsfb ebuilds got patched as follow:

--- netsurf-3.8-r2.ebuild	2019-09-23 11:39:46.000000000 +0300
+++ netsurf-3.8-r3.ebuild	2019-10-27 07:00:37.640545721 +0300
@@ -27,7 +27,7 @@
 	dev-libs/libxml2:2
 	net-misc/curl
 	bmp? ( >=media-libs/libnsbmp-0.1 )
-	fbcon? ( >=dev-libs/libnsfb-0.2
+	fbcon? ( || ( >=dev-libs/libnsfb-0.2[sdl] >=dev-libs/libnsfb-0.2[wayland] )
 		truetype? ( media-fonts/dejavu
 			>=media-libs/freetype-2.5.0.1 )
 	)


--- libnsfb-0.2.0-r1.ebuild	2019-02-17 21:09:29.000000000 +0300
+++ libnsfb-0.2.0-r2.ebuild	2019-10-27 11:02:04.836603473 +0300
@@ -14,7 +14,9 @@
 KEYWORDS="~amd64 ~arm ~ppc ~ppc64"
 IUSE="sdl test vnc wayland xcb"
 
-RDEPEND="sdl? ( >=media-libs/libsdl-1.2.15-r4 )
+REQUIRED_USE="|| ( sdl wayland )"
+
+RDEPEND="sdl? ( >=media-libs/libsdl-1.2.15-r4[fbcon,video] )
 	vnc? ( >=net-libs/libvncserver-0.9.9-r2 )
 	wayland? ( >=dev-libs/wayland-1.0.6 )
 	xcb? (
@@ -23,6 +25,7 @@
 		>=x11-libs/xcb-util-image-0.3.9-r1
 		>=x11-libs/xcb-util-keysyms-0.3.9-r1
 	)"
+
 DEPEND="${RDEPEND}
 	dev-util/netsurf-buildsystem"


Only libnsfb[sdl] has been verified here.
Wayland installed here, so I will try the other option soon.

Not quite sure about how vnc is supposed to work related to fb.
Soma goes for Xcb, could it be wayland related???

Hence I decided not to push these two last flags in REQUIRED_USE.

NB: trying to go to youtube hard freeze in fb[sdl] & crashes app in gtk3+.
Playing with javascript implementation or opengl doesn't seems to help here.

You have been warned.

Thks 4 ur attention.
Comment 2 CaptainBlood 2019-10-27 10:30:41 UTC
Slighty better version as libsdl[X] seems required for working netsurf-fb  under wayland.

--- libnsfb-0.2.0-r1.ebuild	2019-02-17 21:09:29.000000000 +0300
+++ libnsfb-0.2.0-r2.ebuild	2019-10-27 12:58:21.599837534 +0300
@@ -14,15 +14,18 @@
 KEYWORDS="~amd64 ~arm ~ppc ~ppc64"
 IUSE="sdl test vnc wayland xcb"
 
-RDEPEND="sdl? ( >=media-libs/libsdl-1.2.15-r4 )
+REQUIRED_USE="|| ( sdl ( sdl wayland ) )"
+
+RDEPEND="sdl? ( >=media-libs/libsdl-1.2.15-r4[fbcon,video] )
 	vnc? ( >=net-libs/libvncserver-0.9.9-r2 )
-	wayland? ( >=dev-libs/wayland-1.0.6 )
+	wayland? ( >=media-libs/libsdl-1.2.15-r4[X] >=dev-libs/wayland-1.0.6 )
 	xcb? (
 		>=x11-libs/libxcb-1.9.1
 		>=x11-libs/xcb-util-0.3.9-r1
 		>=x11-libs/xcb-util-image-0.3.9-r1
 		>=x11-libs/xcb-util-keysyms-0.3.9-r1
 	)"
+
 DEPEND="${RDEPEND}
 	dev-util/netsurf-buildsystem"


Erratum: www.youtube.com as command line parameter loads fine, despite no video seems playable. Actually it's clicking on youtube.com link after a google search 
that freezes the console instance or crashes the gtk instance, e.g. due to an issue with curl; check launching netsurf-gtk[3] -w in terminal.
Comment 3 CaptainBlood 2019-10-27 13:18:17 UTC
duktape build constrain was lacking, i.e. https://bugs.gentoo.org/show_bug.cgi?id=698650 :
--- netsurf-3.8-r2.ebuild	2019-09-23 11:39:46.000000000 +0300
+++ netsurf-3.8-r3.ebuild	2019-10-27 15:54:58.046116656 +0300
@@ -27,7 +27,7 @@
 	dev-libs/libxml2:2
 	net-misc/curl
 	bmp? ( >=media-libs/libnsbmp-0.1 )
-	fbcon? ( >=dev-libs/libnsfb-0.2
+	fbcon? ( || ( >=dev-libs/libnsfb-0.2[sdl] >=dev-libs/libnsfb-0.2[wayland] )
 		truetype? ( media-fonts/dejavu
 			>=media-libs/freetype-2.5.0.1 )
 	)
@@ -37,6 +37,7 @@
 	gtk2? ( dev-libs/glib:2
 		x11-libs/gtk+:2 )
 	javascript? ( >=dev-libs/nsgenbind-0.6
+		duktape? ( >=dev-lang/duktap-2.2.1 )
 		!duktape? ( dev-lang/spidermonkey:0= ) )
 	jpeg? ( >=virtual/jpeg-0-r2:0 )
 	mng? ( >=media-libs/libmng-1.0.10-r2 )
Comment 4 CaptainBlood 2019-10-27 13:33:57 UTC
typo duktap vs duktape
duktape build constrain was lacking, i.e. https://bugs.gentoo.org/show_bug.cgi?id=698650 :
--- netsurf-3.8-r2.ebuild	2019-09-23 11:39:46.000000000 +0300
+++ netsurf-3.8-r3.ebuild	2019-10-27 15:54:58.046116656 +0300
@@ -27,7 +27,7 @@
 	dev-libs/libxml2:2
 	net-misc/curl
 	bmp? ( >=media-libs/libnsbmp-0.1 )
-	fbcon? ( >=dev-libs/libnsfb-0.2
+	fbcon? ( || ( >=dev-libs/libnsfb-0.2[sdl] >=dev-libs/libnsfb-0.2[wayland] )
 		truetype? ( media-fonts/dejavu
 			>=media-libs/freetype-2.5.0.1 )
 	)
@@ -37,6 +37,7 @@
 	gtk2? ( dev-libs/glib:2
 		x11-libs/gtk+:2 )
 	javascript? ( >=dev-libs/nsgenbind-0.6
+		duktape? ( >=dev-lang/duktape-2.2.1 )
 		!duktape? ( dev-lang/spidermonkey:0= ) )
 	jpeg? ( >=virtual/jpeg-0-r2:0 )
 	mng? ( >=media-libs/libmng-1.0.10-r2 )